# UniTAP.dev.ports.modules.pdc.pdc_dp_alt_mode

class PinAssignment:

Class `PinAssignment` allows enabling and disabling assignment.

- Enable/Disable mode C 4 lanes `c_4_lanes`, type `bool`.
- Enable/Disable mode D 2 lanes `d_2_lanes`, type `bool`.
- Enable/Disable mode E 4 lanes `e_4_lanes`, type `bool`.

c_4_lanes: bool

Returns state of C 4 lanes mode.

###### Returns:

> object of `bool` type.

d_2_lanes: bool

Returns state of D 2 lanes mode.

###### Returns:

> object of `bool` type.

e_4_lanes: bool

Returns state of E 4 lanes mode.

###### Returns:

> object of `bool` type.

class DutDpAltModeStatus:

Class `DutDpAltModeStatus` describes DUT DP Alt mode status.

- Get DUT connection state `dut_connection`, type `str`.
- Get DUT multi-function state `dut_multi_function`, type `bool`.
- Get DUT power low state `dut_power_low`, type `bool`.

DutDpAltModeStatus(pdc_io: UniTAP.dev.ports.modules.pdc.pdc_io.PDCPortIO)
dut_connection: str

Returns DUT connection state.

###### Returns:

> object of `str` type.

dut_multi_function: bool

Returns DUT multi-function state.

###### Returns:

> object of `bool` type.

dut_power_low: bool

Returns DUT power low state.

###### Returns:

> object of `bool` type.

class TeDpAltModeStatus:

Class `DutDpAltModeStatus` describes TE DP Alt mode status.

- Get active state `te_active`, type `bool`.
- Get DISC signaling DP v1.3 state, type `bool`.
- Get DISC signaling USB Gen 2 state, type `bool`.
- Get PIN assignment, type `PinAssignmentModes`.

TeDpAltModeStatus(pdc_io: UniTAP.dev.ports.modules.pdc.pdc_io.PDCPortIO)
te_active: bool

Returns active state.

###### Returns:

> object of `bool` type.

te_select_dp_1_3: bool

Returns DISC signaling DP v1.3 state.

###### Returns:

> object of `bool` type.

te_select_usb_gen2: bool

Returns DISC signaling USB Gen 2 state.

###### Returns:

> object of `bool` type.

te_pin_assignment: UniTAP.dev.ports.modules.pdc.pdc_dpam_types.PinAssignmentModes

Returns PIN assignment.

###### Returns:

> object of `PinAssignmentModes` type.

class DpAltModeStatus:

Class `DpAltModeStatus` describes DP Alt mode status.

- Get DUT DP Alt mode status `dut_dp_alt_mode`, type `DutDpAltModeStatus`.
- Get TE DP Alt mode status, type `TeDpAltModeStatus`.
- Get support state of DISC Signaling DP v13 `support_dp_1_3`, type `bool`.
- Get support state of DISC Signaling USB Gen2 `support_usb_gen2`, type `bool`.
- Get support state of DFP D `support_dfp_d`, type `bool`.
- Get support state of UFP D `support_ufp_d`, type `bool`.

DpAltModeStatus(pdc_io: UniTAP.dev.ports.modules.pdc.pdc_io.PDCPortIO)
support_dp_1_3: bool

Returns support state of DISC Signaling DP v13.

###### Returns:

> object of `bool` type.

support_usb_gen2: bool

Returns support state of DISC Signaling USB Gen2.

###### Returns:

> object of `bool` type.

support_dfp_d: bool

Returns support state of DFP D.

###### Returns:

> object of `bool` type.

support_ufp_d: bool

Returns support state of UFP D.

###### Returns:

> object of `bool` type.

def multifunction_preferred(self) -> bool:

Returns state of multifunction preferred.

###### Returns:

> object of `bool` type.

def auto_enter(self) -> bool:

Returns state of auto enter.

###### Returns:

> object of `bool` type.

dut_dp_alt_mode: DutDpAltModeStatus

Returns DUT DP Alt mode status.

###### Returns:

> object of `DutDpAltModeStatus` type.

te_dp_alt_mode: TeDpAltModeStatus

Returns TE DP Alt mode status.

###### Returns:

> object of `TeDpAltModeStatus` type.

class DpAltModeBase:

Class `DpAltModeBase` describes basic DP Alt mode functionality.

- Get DP Alt mode status `status`, type `DpAltModeStatus`.
- Enter to 2 lane mode `enter_2_lane`.
- Enter to 4 lane mode `enter_4_lane`.
- Exit from DP Alt mode `exit`.
- Disable DP Alt mode `disable`.
- Enable/Disable auto enter to DP Alt mode `auto_enter`.
- Enable/Disable multifunction preferred `multifunction_preferred`.
- Enable/Disable align Dp and USB Data role `align_dp_and_usb_data_role`.
- Set and get UFP caps `ufp_caps`, type `PinAssignment`.
- Set and get DFP caps `dfp_caps`, type `PinAssignment`.

DpAltModeBase(pdc_io: UniTAP.dev.ports.modules.pdc.pdc_io.PDCPortIO)
status: DpAltModeStatus

Returns DP Alt mode status.

###### Returns:

> object of `DpAltModeStatus` type.

def enter_2_lane(self):

Enter to 2 lane mode.

def enter_4_lane(self):

Enter to 4 lane mode.

def exit(self):

Exit from DP Alt mode.

def disable(self):

Disable DP Alt mode.

def auto_enter(self, enable: bool):

Enable/Disable auto enter to DP Alt mode.

###### Arguments:

- enable (`bool`)

def multifunction_preferred(self, enable: bool):

Enable/Disable multifunction preferred.

###### Arguments:

- enable (`bool`)

def align_dp_and_usb_data_role(self, enable: bool):

Enable/Disable align Dp and USB Data role.

###### Arguments:

- enable (`bool`)

ufp_caps: PinAssignment

Returns current UFP caps.

###### Returns:

> object of `PinAssignment`

dfp_caps: PinAssignment

Returns current DFP caps.

###### Returns:

> object of `PinAssignment`

version: UniTAP.dev.ports.modules.pdc.pdc_dpam_types.DPAMVersion
class DpAltMode500(DpAltModeBase):

Class `DpAltMode500` inherited from class `DpAltModeBase`. Class `DpAltMode500` allows controlling additional commands. Also has all the `DpAltModeBase` functionality.

- Enable/Disable DP 2.1 Alt mode `enable_dp21`.

DpAltMode500(pdc_io: UniTAP.dev.ports.modules.pdc.pdc_io.PDCPortIO)
def enable_dp21(self, enable: bool):

Enable/Disable DP 2.1 Alt mode.

###### Arguments:

- enable (`bool`)

##### Inherited Members

DpAltModeBase
  status
  enter_2_lane
  enter_4_lane
  exit
  disable
  auto_enter
  multifunction_preferred
  align_dp_and_usb_data_role
  ufp_caps
  dfp_caps
  version

class DpAltMode340(DpAltModeBase):

Class `DpAltMode340` inherited from class `DpAltModeBase`. Class `DpAltMode340` allows controlling additional commands. Also has all the `DpAltModeBase` functionality.

- Enable/Disable DP to Type-C cable adapter mode `dp_to_type_c_cable_adapter_mode`.

DpAltMode340(pdc_io: UniTAP.dev.ports.modules.pdc.pdc_io.PDCPortIO)
def dp_to_type_c_cable_adapter_mode(self, enable: bool):

Enable/Disable DP to Type-C cable adapter mode.

###### Arguments:

- enable (`bool`)

##### Inherited Members

DpAltModeBase
  status
  enter_2_lane
  enter_4_lane
  exit
  disable
  auto_enter
  multifunction_preferred
  align_dp_and_usb_data_role
  ufp_caps
  dfp_caps
  version